<?php

namespace Drupal\opensign\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\opensign\App\LoginHandler;

class SignYourSelfForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'opensign_sign_yourself_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    // Load Session
    LoginHandler::login();

    $form['document_file'] = [
      '#type' => 'managed_file',
      '#title' => t('Select Document'),
      '#required' => TRUE,
      '#upload_location' => 'public://',
      '#multiple' => FALSE,
      '#upload_validators' => [
        'file_validate_extensions' => ['pdf'],
      ]
    ];
    $form['document_title'] = [
      '#type' => 'textfield',
      '#title' => t('Title'),
      '#required' => TRUE,
    ];
    $form['document_desc'] = [
      '#type' => 'textfield',
      '#title' => t('Description'),
    ];
    $form['actions']['#type'] = 'actions';
    $form['actions']['submit'] = array(
      '#type' => 'submit',
      '#value' => $this->t('Submit'),
      '#button_type' => 'primary',
    );
    return $form;
  }

  public function submitForm(array &$form, FormStateInterface $form_state) {
    foreach ($form_state->getValues() as $key => $value) {
      \Drupal::messenger()->addMessage($key . ': ' . $value);
    }
  }


}
